summaryrefslogtreecommitdiffstats
path: root/office/SOGo/getdocs.sh
diff options
context:
space:
mode:
author B. Watson2022-02-18 18:46:52 +0100
committer Willy Sudiarto Raharjo2022-02-19 06:09:28 +0100
commit4a1855f0a4df62d63a68733837c8fa813470290d (patch)
tree336fc01714b8e56061486fae4fdbd8ed1fbae156 /office/SOGo/getdocs.sh
parentb089b0e37a8b840793594687d359f3fddbbdeb61 (diff)
downloadslackbuilds-4a1855f0a4df62d63a68733837c8fa813470290d.tar.gz
office/SOGo: Make the optional docs truly optional.
Signed-off-by: B. Watson <yalhcru@gmail.com> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'office/SOGo/getdocs.sh')
-rw-r--r--office/SOGo/getdocs.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/office/SOGo/getdocs.sh b/office/SOGo/getdocs.sh
new file mode 100644
index 0000000000..cdbbc6513c
--- /dev/null
+++ b/office/SOGo/getdocs.sh
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+# 20220218 bkw: download the PDF docs for SOGo. upstream site does
+# user-agent checking, so we pretend to be an ancient version of
+# firefox.
+
+wget --user-agent 'Mozilla/4.0 (compatible; MSIE 7.0; Windows NT 5.1)' \
+ https://sogo.nu/files/docs/SOGoInstallationGuide.pdf \
+ https://sogo.nu/files/docs/SOGoMozillaThunderbirdConfigurationGuide.pdf \
+ https://sogo.nu/files/docs/SOGoOutlookConnectorConfigurationGuide.pdf
+
+md5sum -c docs.md5sums
+exit $?